Bug 476526

Summary: Review Request: python-zope-event - Zope Event Publication
Product: [Fedora] Fedora Reporter: Conrad Meyer <konrad>
Component: Package ReviewAssignee: Fabian Affolter <mail>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, fschwarz, mail, notting, rbean, robinlee.sysu
Target Milestone: ---Flags: mail: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-09 01:34:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 476524    
Bug Blocks: 476600    

Description Conrad Meyer 2008-12-15 07:47:44 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/python-zope-event.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/python-zope-event-3.4.0-1.fc9.src.rpm
Description:
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)
Comment 1 Jason Tibbitts 2009-06-27 03:32:32 EDT
This one also fails due to missing setuptools:

+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 20, in <module>
    from setuptools import setup, find_packages
ImportError: No module named setuptools

In addition, 3.4.1 is now out.
Comment 3 Fabian Affolter 2009-07-09 12:03:24 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [?] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F11/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop09 SRPMS]$ rpmlint python-zope-event-3.4.1-1.fc10.src.rpm
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop09 noarch]$ rpmlint python-zope-event-3.4.1-1.fc11.noarch.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [?] License field in the package spec file matches the actual license
     License type: ZPLv2.1
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: dedf8ec89b7852745accbee4aa5110e2
     Build source:    dedf8ec89b7852745accbee4aa5110e2
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [-] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [-] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [?] Reviewer should test that the package builds in mock
     Tested on: F11/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1463549
 [x] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

I see no further blocker, package APPROVED
Comment 4 Fabian Affolter 2009-07-09 12:06:17 EDT
In the meantime '%define' should be replaced with '%global'
 https://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define
Comment 5 Conrad Meyer 2009-07-09 14:10:28 EDT
Thanks for this one as well :).

New Package CVS Request
=======================
Package Name: python-zope-event
Short Description: Zope Event Publication
Owners: konradm
Branches: F-11
InitialCC:
Comment 6 Jason Tibbitts 2009-07-09 23:40:47 EDT
CVS done.
Comment 7 Conrad Meyer 2009-08-09 01:34:16 EDT
Build in rawhide; sorry for the delay.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1592522
Comment 8 Robin Lee 2012-09-10 07:29:19 EDT
Package Change Request
======================
Package Name: python-zope-event
New Branches: el6
Owners: tdabasin

EL6 branch for tdabasin@redhat.com as he requests in https://bugzilla.redhat.com/show_bug.cgi?id=855702
Comment 9 Jon Ciesla 2012-09-10 07:52:56 EDT
Git done (by process-git-requests).
Comment 10 Ralph Bean 2014-10-14 09:24:54 EDT
Package Change Request
======================
Package Name: python-zope-event
New Branches: epel7
Owners: ralph
Comment 11 Jon Ciesla 2014-10-14 15:33:26 EDT
Git done (by process-git-requests).